<bugID>393497<Summary>very slow to paste or cut many bookmarks from the personal toolbar folder from within the bookmarks organizer</Summary><Description>very slow to paste or cut many (300) bookmarks from the personal toolbar folder from within the bookmarks organizer

on cut, I seem to assert here for every item:

###!!! ASSERTION: Removing item we don't have: 'Not Reached', file c:/builds/tru
nk/mozilla/toolkit/components/places/src/nsNavHistoryResult.cpp, line 3114</Description></bugID>